webapps shouldn't expose a org.freedesktop.Application interface on DBUS

Bug #1237548 reported by Jamie Strandboge on 2013-10-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
webbrowser-app (Ubuntu)
Undecided
Unassigned

Bug Description

webbrowser-app 0.22+13.10.20131007.2-0ubuntu1 added this:

  [ Alexandre Abreu ]
  * Handle URL open requests and expose a org.freedesktop.Application
    interface on DBUS. (LP: #1230404)

From irc:
12:53 < jdstrand> alex-abreu: it seems that webbrowser-app is exposing a dbus
                  interface. I am seeing an apparmor denial in the twitter
                  webapp: Oct 9 17:49:56 ubuntu-phablet dbus[1513]:
                  apparmor="DENIED" operation="dbus_method_call" bus="session"
                  path="/org/freedesktop/DBus" interface="org.freedesktop.DBus"
                  member="RequestName" mask="send" name="org.freedesktop.DBus"
                  pid=2756
profile="com.ubuntu.developer.webapps.webapp-twitter_webapp-twitter_1.0.3"
                  peer_profile="unconfined"
12:53 < jdstrand> alex-abreu: should webapps be listening on that or just the
                  global browser?
12:54 < alex-abreu> mmh
12:54 < alex-abreu> on webbrowser-app
12:54 < alex-abreu> only
12:54 < alex-abreu> I'll push a fix

Related branches

Olivier Tilloy (osomon) on 2013-10-10
Changed in webbrowser-app (Ubuntu):
status: New → In Progress
Olivier Tilloy (osomon) on 2013-10-11
Changed in webbrowser-app (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package webbrowser-app - 0.22+13.10.20131011.1-0ubuntu1

---------------
webbrowser-app (0.22+13.10.20131011.1-0ubuntu1) saucy; urgency=low

  [ Bill Filler ]
  * fixes a regression with the G+ homepage not scrolling properly
    without a proper user-agent string
  * Ship a screenshot of the app for the apps lens.
  * Use consistently select_single(…) and select_many(…) in the
    emulator.
  * Allow client applications that embed an UbuntuWebView to define
    their own override mechanism that will take precedence over the
    default one.
  * Fix 1237548: webapps shouldn't expose a org.freedesktop.Application
    interface on DBUS (LP: #1237548)
  * Expose the correct DPR on the UbuntuWebView component.

  [ David Barth ]
  * Fix a problem with Facebook images being served at low-resolution.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 386
 -- Ubuntu daily release <email address hidden> Fri, 11 Oct 2013 11:17:44 +0000

Changed in webbrowser-app (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers